#pragma once

#include <string>
#include <memory>

struct Connection;

class SelfThread
{
    Connection& connection_;
    std::string nickname_;
    std::string mode_;

public:
    SelfThread(Connection& connection) : connection_{connection} {}
    static auto start(Connection&) -> std::shared_ptr<SelfThread>;
};
